From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-gfx/qimgv/
Date: Sat, 13 Oct 2018 11:20:02 +0000 (UTC) [thread overview]
Message-ID: <1539429146.2d623379fa9830f9544c5fe7591c6b408c903bee.mgorny@gentoo> (raw)
commit: 2d623379fa9830f9544c5fe7591c6b408c903bee
Author: Jiayi Zhao <jeff.no.zhao <AT> gmail <DOT> com>
AuthorDate: Fri Oct 5 01:15:24 2018 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Oct 13 11:12:26 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2d623379
media-gfx/qimgv: version bump 0.7.1
Package-Manager: Portage-2.3.49, Repoman-2.3.10
Signed-off-by: Jiayi Zhao <jeff.no.zhao <AT> gmail.com>
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
media-gfx/qimgv/Manifest | 1 +
media-gfx/qimgv/qimgv-0.7.1.ebuild | 53 ++++++++++++++++++++++++++++++++++++++
2 files changed, 54 insertions(+)
diff --git a/media-gfx/qimgv/Manifest b/media-gfx/qimgv/Manifest
index b5e9cce2baa..c857392d342 100644
--- a/media-gfx/qimgv/Manifest
+++ b/media-gfx/qimgv/Manifest
@@ -1,2 +1,3 @@
DIST qimgv-0.6.3.tar.gz 238521 BLAKE2B 55da7c0e7b18547e7c2e2ab76f0a535c655c898707641c896469a07040e8f7f1a6e80580143016e24cdc0a7d9e2287c0d081ca8d262337faeea5d02168796a8e SHA512 c18ed0678bc094fedb339cfa227a5ddace6728b724f7640e4b018e52aa49dfb80d18879b372ab25bbf9e8c38497999471ba35a9bea5cd6b18d5ccbf1e55f3301
+DIST qimgv-0.7.1.tar.gz 273529 BLAKE2B 60f1f87c3347333f76224046776ca4303a03286593191feb18791dd7065ba714db387a1f8cbf6f16f04cab7190645edee4aba11f13d1ce6c0cb52d9b79042f18 SHA512 dd142377aca7248d00ac51d0732de94106e7471973de45d66e8905c476e5eb5f3543e98b1322390dc54946e7c518c1a8711bcde46fb67c376808e4049b22a630
DIST qimgv-0.7.tar.gz 273405 BLAKE2B c4f497eb132eeefa161e328f1ce246ff0a369e21b895cf85b68a69aaf446289ae0fc1170be9c424c32fc8659c196d1c7542938813edef30ea30f4e8509f22cfe SHA512 35fb8fbba75e08dad945fcbc679f449894c6eafc01ab0166b1929956dca636ccd25ba261c22c58a4d283aafa0690ca2c1f672092fc40c5b532f41944e4b0a9e3
diff --git a/media-gfx/qimgv/qimgv-0.7.1.ebuild b/media-gfx/qimgv/qimgv-0.7.1.ebuild
new file mode 100644
index 00000000000..dc7afe79d53
--- /dev/null
+++ b/media-gfx/qimgv/qimgv-0.7.1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils gnome2-utils xdg-utils
+
+DESCRIPTION="A cross-platform image viewer with webm support. Written in qt5"
+HOMEPAGE="https://github.com/easymodo/qimgv"
+SRC_URI="https://github.com/easymodo/qimgv/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="kde video"
+
+RDEPEND="
+ dev-qt/qtconcurrent:5
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtwidgets:5
+ kde? ( kde-frameworks/kwindowsystem:5 )
+ video? ( media-video/mpv[libmpv] )
+"
+DEPEND="
+ ${RDEPEND}
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ eapply_user
+ # respect make.conf CXXFLAGS
+ sed -i -e '/set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -O3")/d' CMakeLists.txt || die
+ cmake-utils_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DKDE_BLUR=$(usex kde)
+ -DVIDEO_SUPPORT=$(usex video)
+ )
+ cmake-utils_src_configure
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+}
next reply other threads:[~2018-10-13 11:20 UTC|newest]
Thread overview: 23+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-10-13 11:20 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-06-12 17:45 [gentoo-commits] repo/gentoo:master commit in: media-gfx/qimgv/ Andreas Sturmlechner
2021-10-02 13:34 Joonas Niilola
2021-10-02 13:34 Joonas Niilola
2020-07-05 8:24 Joonas Niilola
2020-07-05 8:24 Joonas Niilola
2020-06-16 13:39 Andreas Sturmlechner
2020-03-12 15:42 Andreas Sturmlechner
2019-12-29 23:48 Andreas Sturmlechner
2019-10-04 5:39 Joonas Niilola
2019-10-04 5:39 Joonas Niilola
2019-09-08 7:19 Joonas Niilola
2019-09-08 7:19 Joonas Niilola
2019-02-28 14:39 Andreas Sturmlechner
2019-02-28 14:39 Andreas Sturmlechner
2018-10-13 11:20 Michał Górny
2018-10-13 11:20 Michał Górny
2018-08-15 12:12 Michał Górny
2018-04-17 19:33 Patrice Clement
2018-04-17 19:33 Patrice Clement
2018-03-15 22:27 Andreas Sturmlechner
2018-03-15 22:27 Andreas Sturmlechner
2018-03-13 7:41 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1539429146.2d623379fa9830f9544c5fe7591c6b408c903bee.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox